Create a dynamic QR code
POST /qr-codes generates the QR code image, stores it, and fires the qr.created webhook. Set type to URL, WIFI, V_CARD, EMAIL, PHONE, NOTE, MAPS, or APP_STORES. Add an Idempotency-Key header so a retried request never creates a duplicate.
curl -X POST https://www.qrelix.com/api/v1/qr-codes \
-H "Authorization: Bearer $QRELIX_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: 5f1c9a2e-spring-menu" \
-d '{
"type": "URL",
"name": "Spring menu",
"url": "https://example.com/menu",
"design": {
"dotsOptions": { "type": "rounded", "color": "#111827" },
"qrOptions": { "errorCorrectionLevel": "Q" }
}
}'Example response
{
"data": {
"id": "clz0example0000qrcode",
"name": "Spring menu",
"type": "URL",
"subType": "DYNAMIC",
"status": "ACTIVE",
"destinationUrl": "https://example.com/menu",
"scanCount": 0,
"imageUrl": "https://s3.us-west-2.amazonaws.com/.../clz0example0000qrcode.svg",
"landingUrl": "https://www.qrelix.com/landing/clz0example0000qrcode",
"createdAt": "2026-10-13T15:04:05.000Z"
}
}